<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:context="http://www.springframework.org/schema/context"
       xmlns:task="http://www.springframework.org/schema/task" xmlns:aop="http://www.springframework.org/schema/aop"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
       http://www.springframework.org/schema/beans/spring-beans.xsd
       http://www.springframework.org/schema/context
       http://www.springframework.org/schema/context/spring-context.xsd http://www.springframework.org/schema/task http://www.springframework.org/schema/task/spring-task.xsd http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop.xsd">
    <context:component-scan base-package="com.lightinit.hsdataplatform.tasks,com.lightinit.hsdataplatform.tasks.*" />
<!--    <task:scheduled-tasks>-->
<!--        &lt;!&ndash;每天早7点50开始读取系统日志  0 40 15 * * ?&ndash;&gt;-->
<!--        <task:scheduled ref="readLogsJobTask" method="run" cron="0 50 14 * * ?"/>-->
<!--    </task:scheduled-tasks>-->

<!--    <task:scheduled-tasks>-->
<!--        &lt;!&ndash;每天00：00：00开始对已付款的三天后到期的订单进行提醒  0 0 0 * * ? &ndash;&gt;-->
<!--        <task:scheduled ref="ordersAndContractExpireTask" method="orderExpireWarningTask" cron="0 0 0 * * ?"/>-->
<!--    </task:scheduled-tasks>-->

    <!--开启切面-->
    <aop:aspectj-autoproxy/>
</beans>